
 /*-------------------------------------------------------------------------*/
 /*---Schabenberger, O. and Gotway, C. A. (2005), "Statistical Methods for--*/
 /*---Spatial Data Analysis", Boca Raton, FL, CRC Press, Chapman & Hall  ---*/
 /*-------------------------------------------------------------------------*/

 /*-----------------------------------------------------*/
 /*---C/N Ratio data.                                ---*/
 /*---Plot of spatial locations                      ---*/
 /*-----------------------------------------------------*/

%include "&progdir\CNRatioData.sas";

 /*---NOTE: See Errata regarding Figure 4.6          ---*/
title;
goptions hsize=9in vsize=6in;

symbol1 color=black v=circle height=0.175in;
axis1 minor=none
      order=(0,50,100,150,200,250,300)
	  label=(font='Arial' Height=1.5 angle=90 'Y-Coordinate (ft)')
      offset=(0.5in,0.5in)
	  value=(font='Arial' Height=1.3);
axis2 minor=none
      order=(200,300,400,500,600,700)
	  label=(font='Arial' Height=1.5 'X-Coordinate (ft)')
      offset=(0.5in,0.5in)
	  value=(font='Arial' Height=1.3);
data cnratio; 
   set cnratio; 
   xx = x+200;
run;
proc gplot data=cnratio;
   plot y*xx=1 / vaxis=axis1 haxis=axis2;
run;
quit;
