

 /*-------------------------------------------------------------------------*/
 /*---Schabenberger, O. and Gotway, C. A. (2005), "Statistical Methods for--*/
 /*---Spatial Data Analysis", Boca Raton, FL, CRC Press, Chapman & Hall  ---*/
 /*-------------------------------------------------------------------------*/

 /*--------------------------------------------------*/
 /*---Example 1.7, p. 22                          ---*/
 /*--------------------------------------------------*/

data simulate;
   do x = 1 to 10; do y = 1 to 10;
      z = 1.4 + 0.1*x + 0.2*y + 0.002*x*x + rannor(983); 
	  output;
   end; end;
run;

 /*---Load the necessary macros to compute weights---*/
 /*---and to perform the Moran's I analysis       ---*/
%include "&macrodir\ContiguityWeightsMacro.sas";
%include "&macrodir\MoranIMacro.sas";

 /*---Run the macros                              ---*/
%ContWght(rows = 10  ,
          cols = 10  ,
          move = rook,
          out  = rook);

%MoranI(data   = simulate,
           y      = z      ,
           row    = x      ,
           col    = y      ,
           w_data = rook   ,
           print  = 1      );
