

 /*-------------------------------------------------------------------------*/
 /*---Schabenberger, O. and Gotway, C. A. (2005), "Statistical Methods for--*/
 /*---Spatial Data Analysis", Boca Raton, FL, CRC Press, Chapman & Hall  ---*/
 /*-------------------------------------------------------------------------*/


 /*------------------------------------------------------*/
 /*---Table 3.2 Nested analysis of variance for vertical-*/
 /*---          and horizontal aggregation into conti-  -*/
 /*---          guous quadrats.                       ---*/
 /*--- Page 95                                        ---*/
%include "&progdir\WoodpeckerData.sas";
%include "&macrodir\GreigSmithMacro.sas";
%greigsmith(data  = wp_quads,
            xq    = xx,
            yq    = yy,
            q     = 5 ,
            group = 0 ,
            sims  = 200);

title;
goptions vsize=8 in hsize=10 in;
symbol1;
symbol2;
symbol3;
symbol4;
symbol1 color=black i=join l=1 w=1.8;
symbol2 color=black i=join l=1 w=1.8 height=0.2in value=circle;
symbol3 color=black i=join l=1 w=1.8 height=0.2in value=diamond;
symbol4 color=black i=join l=1 w=1.8 height=0.2in font='Symbol' value='00D1'x;
axis1 minor=none
      order=(0,10,20,30,40,50,60,70,80,90,100,110,120,130,140,150)
	  label=(font='Arial' Height=1.5 angle=90 'MSr' )
      offset=(0.2in,0.2in)
	  value=(font='Arial' Height=1.2);
axis2 minor=none
      order=(1,2,4,8,16,32,64,128,256,512)
	  label=(font='Arial' Height=1.5 'Block size')
      offset=(0.2in,0.2in)
	  value=(font='Arial' Height=1.2);
legend1 across=1 
        cborder=black
		mode=protect
        position=(top left inside)
		label=none
		value=(font='Arial Black' Height=1.2
		       'Max Simulation Envelope'
			   'Min Simulation Envelope'
               'Average MSr'
		       'MSr vertical aggregation'
			   'MSr horizontal aggregation');
proc gplot data=_result;
   plot msbarmax*size= 1
        msbarmin*size= 1 
		Msbar*size   = 2
		Msv*size     = 3
		Msh*size     = 4 / overlay noframe
                          vaxis=axis1 haxis=axis2 legend=legend1;
run; quit;
