
 /*-------------------------------------------------------------------------*/
 /*---Schabenberger, O. and Gotway, C. A. (2005), "Statistical Methods for--*/
 /*---Spatial Data Analysis", Boca Raton, FL, CRC Press, Chapman & Hall  ---*/
 /*-------------------------------------------------------------------------*/

 /*------------------------------------------------------*/
 /*---Example 5.11 Rainfall amounts (mm)              ---*/
 /*---Locations and rainfall amounts (Figure 5.12)    ---*/
 /*------------------------------------------------------*/

%include "&progdir\RainfallData.sas";

goptions vsize=7in hsize=9in;
axis1 minor=none
      order=(0 to 12 by 2) 
	  label=(font='Arial' Height=1.5 angle=90 'y (km)')
      offset=(0.25in,0.25in)
	  value=(font='Arial' Height=1.3);
axis2 minor=none
      order=(0 to 12 by 2) 
	  label=(font='Arial' Height=1.5 'x (km)')
      offset=(0.5in,0.25in)
	  value=(font='Arial' Height=1.3);

symbol1 color=black value=none 
        pointlabel=(font='Arial' height=0.15in j=c position=middle "#rainfall");

proc gplot data=rainfall;
   format rainfall 5.2;
   plot y*x=1 / haxis=axis2 vaxis=axis1;
run; quit;
symbol1;
run;
