
 /*-------------------------------------------------------------------------*/
 /*---Schabenberger, O. and Gotway, C. A. (2005), "Statistical Methods for--*/
 /*---Spatial Data Analysis", Boca Raton, FL, CRC Press, Chapman & Hall  ---*/
 /*-------------------------------------------------------------------------*/

 /*------------------------------------------------------*/
 /*---Example 5.11 Rainfall amounts (mm)              ---*/
 /*---Histograms of original rainfall amounts (Fig. 5.13),*/
 /*---Box-Cox transformed amounts (Fig. 5.14), and    ---*/
 /*---normal score transformation (Fig. 5.15).        ---*/
 /*------------------------------------------------------*/


%include "&progdir\RainfallData.sas";

goptions vsize=6in hsize=9in;
axis1 minor=none
      order=(0,10,20,30,40)
	  label=(font='Arial' Height=1.5 angle=90 'Percent')
      offset=(0in,0.25in)
	  value=(font='Arial' Height=1.3);
axis2 minor=none
      order=(15,25,35,45,55,65) 
	  label=(font='Arial' Height=1.5 'rainfall')
      offset=(1in,1in)
	  value=(font='Arial' Height=1.3);

pattern1 color=grey value=solid;
proc gchart data=rainfall;
  vbar rainfall / type      = percent 
                  raxis     = axis1
				  maxis     = axis2
				  coutline  = black
				  space     = 0
				  width     = 10
				  midpoints = (15 25 35 45 55 65);
run;quit;

axis1 minor=none
      order=(0,10,20,30)
	  label=(font='Arial' Height=1.5 angle=90 'Percent')
      offset=(0in,0.25in)
	  value=(font='Arial' Height=1.3);
axis2 minor=none
      order=(1.525,1.575,1.625,1.675,1.725) 
	  label=(font='Arial' Height=1.5 'Box-Cox transformed scores')
      offset=(1in,1.5in)
	  value=(font='Arial' Height=1.3);

proc gchart data=rainfall;
  vbar boxcox / type      = percent 
                 raxis     = axis1
			     maxis     = axis2
			 	 coutline  = black
				 space     = 0
				 width     = 9
				 midpoints = (1.525,1.575,1.625,1.675,1.725);
run;
quit;

axis2 minor=none
      order=(-2.5,-1.5,-0.5,0.5,1.5,2.5)
	  label=(font='Arial' Height=1.5 'normal scores')
      offset=(1in,1in)
	  value=(font='Arial' Height=1.3);

proc gchart data=rainfall;
  vbar normscore / type      = percent 
                 raxis     = axis1
			     maxis     = axis2
			 	 coutline  = black
				 space     = 0
				 width     = 8
				 midpoints = (-2.5,-1.5,-0.5,0.5,1.5,2.5);
run;
quit;

