
 /*-------------------------------------------------------------------------*/
 /*---Schabenberger, O. and Gotway, C. A. (2005), "Statistical Methods for--*/
 /*---Spatial Data Analysis", Boca Raton, FL, CRC Press, Chapman & Hall  ---*/
 /*-------------------------------------------------------------------------*/

 /*---Initialize some settings for running the SAS code                  ---*/

 /*--- 1. Options to control output                                      ---*/
options ls=90 ps=200
        nodate 
        nonumber 
        formchar="|----|+|---+=|-/\<>*";

 /*--- 2. Drive and directory where SAS programs are stored              ---*/
 /*---    Do not use a slash at the end. For example,                    ---*/
 /*---    %let progdir=C:\Documents and Settings\UserName\My Documents\C3227*/
 /*---    To include a program, simply use                               ---*/
 /*---                %include "&progdir\NameOfProgram.sas";             ---*/
 /*---    Note the double quotes to resolve the macro variable           ---*/
%let progdir=C:\spatial\totheweb;

  /*--- 3. Default directory to look for permanent SAS data sets          ---*/
%let datadir=&progdir\permdata;
libname SGdata "&datadir";

  /*--- 4. Default directory to look for SAS macros                       ---*/
%let macrodir=&progdir\macros;

  /*--- 5. Clear any titles                                               ---*/
title;

