
 /*-------------------------------------------------------------------------*/
 /*---Schabenberger, O. and Gotway, C. A. (2005), "Statistical Methods for--*/
 /*---Spatial Data Analysis", Boca Raton, FL, CRC Press, Chapman & Hall  ---*/
 /*-------------------------------------------------------------------------*/

 /*---------------------------------------------------------*/
 /*---Woodpecker aggregated quadrat counts               ---*/
 /*---Figure 3.5, p. 94                                  ---*/
 /*---Data kindly provided by Prof. Jeff Walters, Dept. of--*/
 /*---Biology, Virginia Tech                             ---*/
 /*---------------------------------------------------------*/

%include "&progdir\WoodpeckerData.sas";

goptions vsize=10 in hsize=10 in;
title;
symbol1 color=black h=0.2in i=none value=none
        pointlabel=(j=l position=middle "#cntstr");
axis1 minor=none
      order=(1 to 32 by 1)
	  label=(font='Arial' Height=1.5 angle=90 'Row' )
      offset=(0.1in,0.1in)
	  value=(font='Arial' Height=1.2);
axis2 minor=none
      order=(1 to 32 by 1)
	  label=(font='Arial' Height=1.5 'Column')
      offset=(0.1in,0.1in)
	  value=(font='Arial' Height=1.2
             tick=2  ' ' justify=c '2'
             tick=4  ' ' justify=c '4'
			 tick=6  ' ' justify=c '6'
			 tick=8  ' ' justify=c '8'
			 tick=10 ' ' justify=c '10'
			 tick=12 ' ' justify=c '12'
			 tick=14 ' ' justify=c '14'
			 tick=16 ' ' justify=c '16'
			 tick=18 ' ' justify=c '18'
			 tick=20 ' ' justify=c '20'
			 tick=22 ' ' justify=c '22'
			 tick=24 ' ' justify=c '24'
			 tick=26 ' ' justify=c '26'
			 tick=28 ' ' justify=c '28'
			 tick=30 ' ' justify=c '30'
			 tick=32 ' ' justify=c '32');
data wp_plot; set wp_quads;
  length cntstr $1;
  if (cnt > 0) then cntstr=left(put(cnt,1.));
  else cntstr=' ';
proc gplot data=wp_plot;
   plot yy*xx=1 / vaxis=axis1 haxis=axis2
                  href=(1.5 to 31.5 by 1) lhref=20
				  vref=(1.5 to 31.5 by 1) lvref=20;
run; quit;
symbol1;
run;
