

 /*-------------------------------------------------------------------------*/
 /*---Schabenberger, O. and Gotway, C. A. (2005), "Statistical Methods for--*/
 /*---Spatial Data Analysis", Boca Raton, FL, CRC Press, Chapman & Hall  ---*/
 /*-------------------------------------------------------------------------*/

 /*---------------------------------------------------------*/
 /*---Woodpecker aggregated quadrat counts               ---*/
 /*---Data kindly provided by Prof. Jeff Walters, Dept. of--*/
 /*---Biology, Virginia Tech                             ---*/
 /*---------------------------------------------------------*/

data wp_quads;
  input xx yy cnt loc @@;
  datalines;
1       1       0       1 
1       2       0       2
1       3       0       3
1       4       0       4
1       5       0       5
1       6       0       6
1       7       0       7
1       8       2       8
1       9       1       9
1       10      0       10
1       11      0       11
1       12      0       12
1       13      0       13
1       14      0       14
1       15      0       15
1       16      0       16
1       17      0       17
1       18      0       18
1       19      1       19
1       20      1       20
1       21      0       21
1       22      0       22
1       23      0       23
1       24      0       24
1       25      0       25
1       26      0       26
1       27      0       27
1       28      0       28
1       29      0       29
1       30      0       30
1       31      0       31
1       32      0       32
2       1       0       33
2       2       0       34
2       3       0       35
2       4       0       36
2       5       0       37
2       6       1       38
2       7       0       39
2       8       0       40
2       9       1       41
2       10      1       42
2       11      1       43
2       12      0       44
2       13      0       45
2       14      0       46
2       15      1       47
2       16      1       48
2       17      0       49
2       18      1       50
2       19      0       51
2       20      0       52
2       21      0       53
2       22      0       54
2       23      0       55
2       24      0       56
2       25      0       57
2       26      0       58
2       27      0       59
2       28      0       60
2       29      0       61
2       30      0       62
2       31      0       63
2       32      0       64
3       1       0       65
3       2       0       66
3       3       0       67
3       4       0       68
3       5       0       69
3       6       0       70
3       7       1       71
3       8       0       72
3       9       0       73
3       10      0       74
3       11      0       75
3       12      0       76
3       13      1       77
3       14      0       78
3       15      0       79
3       16      1       80
3       17      0       81
3       18      0       82
3       19      0       83
3       20      0       84
3       21      0       85
3       22      0       86
3       23      0       87
3       24      0       88
3       25      0       89
3       26      0       90
3       27      0       91
3       28      0       92
3       29      0       93
3       30      0       94
3       31      0       95
3       32      0       96
4       1       0       97
4       2       0       98
4       3       0       99
4       4       0       100
4       5       0       101
4       6       0       102
4       7       0       103
4       8       0       104
4       9       0       105
4       10      0       106
4       11      0       107
4       12      2       108
4       13      1       109
4       14      0       110
4       15      0       111
4       16      0       112
4       17      0       113
4       18      0       114
4       19      0       115
4       20      0       116
4       21      0       117
4       22      0       118
4       23      0       119
4       24      0       120
4       25      0       121
4       26      0       122
4       27      0       123
4       28      0       124
4       29      0       125
4       30      0       126
4       31      0       127
4       32      0       128
5       1       0       129
5       2       0       130
5       3       0       131
5       4       0       132
5       5       0       133
5       6       0       134
5       7       0       135
5       8       0       136
5       9       0       137
5       10      2       138
5       11      0       139
5       12      0       140
5       13      1       141
5       14      0       142
5       15      0       143
5       16      0       144
5       17      0       145
5       18      0       146
5       19      0       147
5       20      0       148
5       21      0       149
5       22      0       150
5       23      0       151
5       24      0       152
5       25      0       153
5       26      0       154
5       27      0       155
5       28      0       156
5       29      0       157
5       30      0       158
5       31      0       159
5       32      0       160
6       1       0       161
6       2       0       162
6       3       0       163
6       4       0       164
6       5       0       165
6       6       0       166
6       7       1       167
6       8       0       168
6       9       2       169
6       10      0       170
6       11      2       171
6       12      2       172
6       13      2       173
6       14      1       174
6       15      0       175
6       16      0       176
6       17      1       177
6       18      0       178
6       19      0       179
6       20      0       180
6       21      0       181
6       22      0       182
6       23      0       183
6       24      0       184
6       25      0       185
6       26      0       186
6       27      2       187
6       28      0       188
6       29      0       189
6       30      0       190
6       31      0       191
6       32      0       192
7       1       0       193
7       2       0       194
7       3       0       195
7       4       0       196
7       5       0       197
7       6       0       198
7       7       0       199
7       8       1       200
7       9       0       201
7       10      1       202
7       11      4       203
7       12      3       204
7       13      2       205
7       14      1       206
7       15      2       207
7       16      1       208
7       17      0       209
7       18      1       210
7       19      0       211
7       20      0       212
7       21      0       213
7       22      0       214
7       23      0       215
7       24      0       216
7       25      1       217
7       26      1       218
7       27      0       219
7       28      0       220
7       29      0       221
7       30      0       222
7       31      0       223
7       32      0       224
8       1       0       225
8       2       0       226
8       3       2       227
8       4       0       228
8       5       1       229
8       6       0       230
8       7       0       231
8       8       0       232
8       9       2       233
8       10      0       234
8       11      2       235
8       12      2       236
8       13      2       237
8       14      0       238
8       15      1       239
8       16      2       240
8       17      0       241
8       18      0       242
8       19      0       243
8       20      0       244
8       21      0       245
8       22      0       246
8       23      0       247
8       24      0       248
8       25      1       249
8       26      0       250
8       27      0       251
8       28      0       252
8       29      0       253
8       30      0       254
8       31      0       255
8       32      0       256
9       1       0       257
9       2       0       258
9       3       0       259
9       4       0       260
9       5       0       261
9       6       0       262
9       7       2       263
9       8       1       264
9       9       1       265
9       10      4       266
9       11      2       267
9       12      3       268
9       13      4       269
9       14      4       270
9       15      2       271
9       16      1       272
9       17      1       273
9       18      0       274
9       19      0       275
9       20      0       276
9       21      0       277
9       22      0       278
9       23      1       279
9       24      1       280
9       25      0       281
9       26      1       282
9       27      1       283
9       28      0       284
9       29      1       285
9       30      0       286
9       31      0       287
9       32      0       288
10      1       0       289
10      2       0       290
10      3       1       291
10      4       0       292
10      5       0       293
10      6       1       294
10      7       0       295
10      8       0       296
10      9       2       297
10      10      2       298
10      11      2       299
10      12      3       300
10      13      0       301
10      14      1       302
10      15      1       303
10      16      2       304
10      17      1       305
10      18      2       306
10      19      0       307
10      20      0       308
10      21      1       309
10      22      0       310
10      23      0       311
10      24      0       312
10      25      0       313
10      26      1       314
10      27      0       315
10      28      1       316
10      29      0       317
10      30      0       318
10      31      0       319
10      32      0       320
11      1       0       321
11      2       0       322
11      3       1       323
11      4       1       324
11      5       0       325
11      6       1       326
11      7       1       327
11      8       1       328
11      9       1       329
11      10      5       330
11      11      5       331
11      12      5       332
11      13      1       333
11      14      3       334
11      15      3       335
11      16      1       336
11      17      7       337
11      18      2       338
11      19      0       339
11      20      0       340
11      21      0       341
11      22      0       342
11      23      0       343
11      24      0       344
11      25      1       345
11      26      0       346
11      27      1       347
11      28      1       348
11      29      1       349
11      30      1       350
11      31      0       351
11      32      0       352
12      1       1       353
12      2       1       354
12      3       1       355
12      4       0       356
12      5       0       357
12      6       1       358
12      7       0       359
12      8       2       360
12      9       3       361
12      10      5       362
12      11      2       363
12      12      5       364
12      13      1       365
12      14      4       366
12      15      7       367
12      16      4       368
12      17      4       369
12      18      1       370
12      19      0       371
12      20      0       372
12      21      0       373
12      22      0       374
12      23      0       375
12      24      0       376
12      25      2       377
12      26      0       378
12      27      0       379
12      28      0       380
12      29      1       381
12      30      1       382
12      31      0       383
12      32      0       384
13      1       1       385
13      2       0       386
13      3       0       387
13      4       0       388
13      5       1       389
13      6       1       390
13      7       1       391
13      8       1       392
13      9       4       393
13      10      6       394
13      11      4       395
13      12      4       396
13      13      3       397
13      14      7       398
13      15      5       399
13      16      8       400
13      17      1       401
13      18      3       402
13      19      1       403
13      20      1       404
13      21      0       405
13      22      0       406
13      23      0       407
13      24      0       408
13      25      0       409
13      26      0       410
13      27      0       411
13      28      0       412
13      29      2       413
13      30      2       414
13      31      0       415
13      32      0       416
14      1       0       417
14      2       0       418
14      3       0       419
14      4       0       420
14      5       0       421
14      6       1       422
14      7       0       423
14      8       2       424
14      9       3       425
14      10      8       426
14      11      3       427
14      12      2       428
14      13      3       429
14      14      8       430
14      15      13      431
14      16      5       432
14      17      5       433
14      18      1       434
14      19      1       435
14      20      0       436
14      21      0       437
14      22      0       438
14      23      0       439
14      24      0       440
14      25      3       441
14      26      0       442
14      27      0       443
14      28      0       444
14      29      1       445
14      30      3       446
14      31      1       447
14      32      0       448
15      1       0       449
15      2       0       450
15      3       0       451
15      4       0       452
15      5       0       453
15      6       0       454
15      7       2       455
15      8       1       456
15      9       3       457
15      10      5       458
15      11      1       459
15      12      5       460
15      13      0       461
15      14      4       462
15      15      0       463
15      16      3       464
15      17      2       465
15      18      1       466
15      19      2       467
15      20      0       468
15      21      0       469
15      22      0       470
15      23      0       471
15      24      0       472
15      25      0       473
15      26      0       474
15      27      0       475
15      28      0       476
15      29      0       477
15      30      0       478
15      31      1       479
15      32      0       480
16      1       0       481
16      2       0       482
16      3       0       483
16      4       0       484
16      5       1       485
16      6       3       486
16      7       1       487
16      8       5       488
16      9       6       489
16      10      4       490
16      11      1       491
16      12      2       492
16      13      2       493
16      14      1       494
16      15      2       495
16      16      2       496
16      17      1       497
16      18      0       498
16      19      1       499
16      20      1       500
16      21      0       501
16      22      0       502
16      23      0       503
16      24      0       504
16      25      0       505
16      26      0       506
16      27      0       507
16      28      1       508
16      29      2       509
16      30      2       510
16      31      1       511
16      32      0       512
17      1       0       513
17      2       0       514
17      3       0       515
17      4       2       516
17      5       1       517
17      6       0       518
17      7       3       519
17      8       1       520
17      9       3       521
17      10      9       522
17      11      8       523
17      12      2       524
17      13      4       525
17      14      0       526
17      15      0       527
17      16      0       528
17      17      4       529
17      18      1       530
17      19      0       531
17      20      1       532
17      21      0       533
17      22      0       534
17      23      0       535
17      24      0       536
17      25      0       537
17      26      0       538
17      27      0       539
17      28      0       540
17      29      1       541
17      30      1       542
17      31      0       543
17      32      0       544
18      1       1       545
18      2       0       546
18      3       0       547
18      4       1       548
18      5       0       549
18      6       1       550
18      7       5       551
18      8       7       552
18      9       8       553
18      10      4       554
18      11      1       555
18      12      1       556
18      13      1       557
18      14      2       558
18      15      2       559
18      16      2       560
18      17      2       561
18      18      0       562
18      19      1       563
18      20      1       564
18      21      0       565
18      22      0       566
18      23      0       567
18      24      0       568
18      25      0       569
18      26      0       570
18      27      0       571
18      28      0       572
18      29      1       573
18      30      0       574
18      31      1       575
18      32      0       576
19      1       0       577
19      2       0       578
19      3       0       579
19      4       0       580
19      5       1       581
19      6       4       582
19      7       1       583
19      8       3       584
19      9       4       585
19      10      4       586
19      11      2       587
19      12      2       588
19      13      2       589
19      14      1       590
19      15      1       591
19      16      0       592
19      17      1       593
19      18      0       594
19      19      3       595
19      20      1       596
19      21      1       597
19      22      0       598
19      23      0       599
19      24      0       600
19      25      0       601
19      26      1       602
19      27      0       603
19      28      1       604
19      29      1       605
19      30      0       606
19      31      0       607
19      32      1       608
20      1       0       609
20      2       0       610
20      3       0       611
20      4       1       612
20      5       2       613
20      6       1       614
20      7       4       615
20      8       3       616
20      9       5       617
20      10      4       618
20      11      3       619
20      12      3       620
20      13      1       621
20      14      0       622
20      15      1       623
20      16      0       624
20      17      0       625
20      18      2       626
20      19      0       627
20      20      1       628
20      21      0       629
20      22      0       630
20      23      0       631
20      24      0       632
20      25      0       633
20      26      0       634
20      27      0       635
20      28      0       636
20      29      2       637
20      30      0       638
20      31      0       639
20      32      0       640
21      1       0       641
21      2       0       642
21      3       0       643
21      4       0       644
21      5       0       645
21      6       0       646
21      7       5       647
21      8       1       648
21      9       3       649
21      10      4       650
21      11      3       651
21      12      2       652
21      13      0       653
21      14      0       654
21      15      3       655
21      16      2       656
21      17      0       657
21      18      0       658
21      19      3       659
21      20      1       660
21      21      1       661
21      22      0       662
21      23      0       663
21      24      0       664
21      25      0       665
21      26      0       666
21      27      0       667
21      28      0       668
21      29      0       669
21      30      1       670
21      31      1       671
21      32      0       672
22      1       0       673
22      2       0       674
22      3       1       675
22      4       1       676
22      5       2       677
22      6       6       678
22      7       4       679
22      8       3       680
22      9       2       681
22      10      2       682
22      11      1       683
22      12      4       684
22      13      1       685
22      14      1       686
22      15      2       687
22      16      0       688
22      17      0       689
22      18      1       690
22      19      0       691
22      20      0       692
22      21      1       693
22      22      1       694
22      23      1       695
22      24      0       696
22      25      0       697
22      26      0       698
22      27      0       699
22      28      0       700
22      29      0       701
22      30      1       702
22      31      0       703
22      32      0       704
23      1       0       705
23      2       0       706
23      3       2       707
23      4       1       708
23      5       0       709
23      6       3       710
23      7       1       711
23      8       1       712
23      9       1       713
23      10      1       714
23      11      1       715
23      12      1       716
23      13      1       717
23      14      0       718
23      15      0       719
23      16      0       720
23      17      0       721
23      18      1       722
23      19      1       723
23      20      1       724
23      21      1       725
23      22      0       726
23      23      0       727
23      24      0       728
23      25      0       729
23      26      0       730
23      27      0       731
23      28      0       732
23      29      0       733
23      30      1       734
23      31      0       735
23      32      0       736
24      1       0       737
24      2       0       738
24      3       0       739
24      4       0       740
24      5       2       741
24      6       1       742
24      7       1       743
24      8       1       744
24      9       0       745
24      10      1       746
24      11      0       747
24      12      1       748
24      13      0       749
24      14      0       750
24      15      2       751
24      16      1       752
24      17      0       753
24      18      0       754
24      19      0       755
24      20      0       756
24      21      1       757
24      22      0       758
24      23      0       759
24      24      0       760
24      25      0       761
24      26      0       762
24      27      0       763
24      28      0       764
24      29      0       765
24      30      0       766
24      31      0       767
24      32      0       768
25      1       0       769
25      2       0       770
25      3       0       771
25      4       0       772
25      5       0       773
25      6       1       774
25      7       0       775
25      8       0       776
25      9       0       777
25      10      1       778
25      11      1       779
25      12      1       780
25      13      0       781
25      14      0       782
25      15      0       783
25      16      0       784
25      17      1       785
25      18      0       786
25      19      0       787
25      20      0       788
25      21      0       789
25      22      0       790
25      23      0       791
25      24      0       792
25      25      0       793
25      26      0       794
25      27      0       795
25      28      0       796
25      29      0       797
25      30      0       798
25      31      0       799
25      32      0       800
26      1       0       801
26      2       0       802
26      3       0       803
26      4       0       804
26      5       1       805
26      6       0       806
26      7       0       807
26      8       0       808
26      9       0       809
26      10      1       810
26      11      1       811
26      12      0       812
26      13      1       813
26      14      1       814
26      15      0       815
26      16      1       816
26      17      1       817
26      18      0       818
26      19      1       819
26      20      1       820
26      21      1       821
26      22      0       822
26      23      0       823
26      24      0       824
26      25      0       825
26      26      0       826
26      27      0       827
26      28      0       828
26      29      0       829
26      30      0       830
26      31      0       831
26      32      0       832
27      1       0       833
27      2       0       834
27      3       0       835
27      4       0       836
27      5       0       837
27      6       0       838
27      7       0       839
27      8       0       840
27      9       0       841
27      10      1       842
27      11      1       843
27      12      0       844
27      13      0       845
27      14      0       846
27      15      0       847
27      16      0       848
27      17      0       849
27      18      0       850
27      19      1       851
27      20      0       852
27      21      1       853
27      22      0       854
27      23      0       855
27      24      0       856
27      25      0       857
27      26      0       858
27      27      0       859
27      28      0       860
27      29      0       861
27      30      0       862
27      31      0       863
27      32      0       864
28      1       0       865
28      2       0       866
28      3       0       867
28      4       0       868
28      5       0       869
28      6       0       870
28      7       0       871
28      8       0       872
28      9       0       873
28      10      0       874
28      11      0       875
28      12      0       876
28      13      1       877
28      14      0       878
28      15      0       879
28      16      0       880
28      17      0       881
28      18      0       882
28      19      0       883
28      20      0       884
28      21      0       885
28      22      0       886
28      23      1       887
28      24      1       888
28      25      0       889
28      26      0       890
28      27      0       891
28      28      0       892
28      29      0       893
28      30      0       894
28      31      0       895
28      32      0       896
29      1       0       897
29      2       0       898
29      3       0       899
29      4       0       900
29      5       0       901
29      6       0       902
29      7       0       903
29      8       0       904
29      9       0       905
29      10      0       906
29      11      1       907
29      12      0       908
29      13      0       909
29      14      0       910
29      15      0       911
29      16      0       912
29      17      0       913
29      18      0       914
29      19      1       915
29      20      0       916
29      21      1       917
29      22      0       918
29      23      0       919
29      24      0       920
29      25      0       921
29      26      0       922
29      27      0       923
29      28      0       924
29      29      0       925
29      30      0       926
29      31      0       927
29      32      0       928
30      1       0       929
30      2       0       930
30      3       0       931
30      4       0       932
30      5       0       933
30      6       0       934
30      7       0       935
30      8       0       936
30      9       0       937
30      10      2       938
30      11      1       939
30      12      0       940
30      13      1       941
30      14      0       942
30      15      0       943
30      16      0       944
30      17      0       945
30      18      0       946
30      19      0       947
30      20      0       948
30      21      0       949
30      22      0       950
30      23      0       951
30      24      0       952
30      25      0       953
30      26      0       954
30      27      0       955
30      28      0       956
30      29      0       957
30      30      0       958
30      31      0       959
30      32      0       960
31      1       0       961
31      2       0       962
31      3       0       963
31      4       0       964
31      5       0       965
31      6       0       966
31      7       0       967
31      8       0       968
31      9       0       969
31      10      1       970
31      11      0       971
31      12      0       972
31      13      0       973
31      14      0       974
31      15      0       975
31      16      0       976
31      17      1       977
31      18      0       978
31      19      0       979
31      20      0       980
31      21      0       981
31      22      0       982
31      23      1       983
31      24      1       984
31      25      0       985
31      26      0       986
31      27      0       987
31      28      0       988
31      29      0       989
31      30      0       990
31      31      0       991
31      32      0       992
32      1       0       993
32      2       0       994
32      3       0       995
32      4       0       996
32      5       0       997
32      6       0       998
32      7       0       999
32      8       0       1000
32      9       0       1001
32      10      0       1002
32      11      0       1003
32      12      0       1004
32      13      0       1005
32      14      0       1006
32      15      0       1007
32      16      0       1008
32      17      0       1009
32      18      0       1010
32      19      0       1011
32      20      0       1012
32      21      2       1013
32      22      0       1014
32      23      0       1015
32      24      0       1016
32      25      0       1017
32      26      0       1018
32      27      0       1019
32      28      0       1020
32      29      0       1021
32      30      0       1022
32      31      0       1023
32      32      0       1024
;

