
 /*-------------------------------------------------------------------------*/
 /*---Schabenberger, O. and Gotway, C. A. (2005), "Statistical Methods for--*/
 /*---Spatial Data Analysis", Boca Raton, FL, CRC Press, Chapman & Hall  ---*/
 /*-------------------------------------------------------------------------*/


 /*--------------------------------------------------*/
 /*---Macro to do jackknife cross-validation      ---*/
 /*---The macro simply makes n copies of the data ---*/
 /*---set. In the ith copy, the ith observation   ---*/
 /*---has a missing value for variable &var.      ---*/

 /*--------------------------------------------------*/

%macro jcvd(data=rainfall,
            var=normscore);

   data _null_;
      set &data nobs=count;
      call symput('nobs',left(put(count,8.)));
   run;

   /*---cycle through observations, deleting one at a
        time---*/
   /* %let nobs=24; */
   %do sim = 1 %to &nobs;
      
      %put Deleting observation &sim of &nobs;

      data d1;
         set &data;
         s = &sim;
         origns = &var.;
         if (_n_ = &sim) then do;
            &var. = .;
		 end;
         run;

      %if (&sim = 1) %then %do;
         data dall;
            set d1;
         run;
      %end;
      %else %do;
         proc append base=dall data=d1;
         run;
      %end;
   %end;
%mend;

